Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0dyn_netcdf.F90	(revision 5271)
@@ -41,5 +41,6 @@
   USE strings_mod, ONLY: strLower
   
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
   PRIVATE
@@ -47,5 +48,5 @@
 
   include "iniprint.h"
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom2.h"
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.f90	(revision 5271)
@@ -53,10 +53,9 @@
 
   USE comconst_mod, ONLY: pi, dtvr
-
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   PRIVATE
   PUBLIC :: etat0phys_netcdf
 
   include "iniprint.h"
-  include "dimensions.h"
   include "paramet.h"
   include "comgeom2.h"
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5271)
@@ -42,5 +42,6 @@
   USE slab_heat_transp_mod, ONLY: ini_slab_transp_geom
   USE lmdz_cppkeys_wrapper, ONLY: CPPKEY_INCA, CPPKEY_REPROBUS
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
   ! =======================================================================
@@ -49,5 +50,5 @@
   ! =======================================================================
 
-  include "dimensions.h"
+
   include "paramet.h"
   include "iniprint.h"
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/init_ssrf_m.f90	(revision 5271)
@@ -12,4 +12,5 @@
   USE comconst_mod,       ONLY: im, pi
   USE surface_data,       ONLY: landice_opt
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 
   CHARACTER(LEN=256), PARAMETER :: icefname="landiceref.nc", icevar="landice"
@@ -17,5 +18,4 @@
   PUBLIC :: start_init_subsurf
   include "iniprint.h"
-  include "dimensions.h"
   include "paramet.h"
   include "comgeom2.h"
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/limit_netcdf.F90	(revision 5271)
@@ -81,9 +81,10 @@
   USE phys_cal_mod, ONLY: calend
   USE lmdz_cppkeys_wrapper, ONLY: nf90_format
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 !-------------------------------------------------------------------------------
 ! Arguments:
   include "iniprint.h"
-  include "dimensions.h"
+
   include "paramet.h"
   REAL, DIMENSION(iip1,jjp1), INTENT(INOUT) :: masque ! land mask
@@ -330,6 +331,7 @@
   USE indice_sol_mod
 
-  IMPLICIT NONE
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   include "paramet.h"
   include "comgeom2.h"
Index: /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/test_disvert_m.f90
===================================================================
--- /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/test_disvert_m.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/dynphy_lonlat/phylmd/test_disvert_m.f90	(revision 5271)
@@ -1,5 +1,6 @@
 module test_disvert_m
 
-  implicit none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+implicit none
 
 contains
@@ -18,5 +19,5 @@
 
     ! For llm:
-    include "dimensions.h"
+
 
     ! Local:
Index: /LMDZ6/trunk/libf/filtrez/eigen.f90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/eigen.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/filtrez/eigen.f90	(revision 5271)
@@ -3,6 +3,7 @@
 !
 SUBROUTINE eigen( e,d)
-  IMPLICIT NONE
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
   real :: e( iim,iim ), d( iim )
   real :: asm( iim )
Index: /LMDZ6/trunk/libf/filtrez/filtreg.F90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/filtreg.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/filtrez/filtreg.F90	(revision 5271)
@@ -7,5 +7,6 @@
   USE filtreg_mod
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !=======================================================================
   !
@@ -46,5 +47,5 @@
   !
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   INCLUDE "coefils.h"
Index: /LMDZ6/trunk/libf/filtrez/filtreg_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/filtreg_mod.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/filtrez/filtreg_mod.F90	(revision 5271)
@@ -20,5 +20,6 @@
     !    ... H. Upadhyaya, O.Sharma   ...
     !
-    IMPLICIT NONE
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
     !
     !     version 3 .....
@@ -26,5 +27,5 @@
     !     Correction  le 28/10/97    P. Le Van .
     !  -------------------------------------------------------------------
-    include "dimensions.h"
+
     include "paramet.h"
     !  -------------------------------------------------------------------
Index: /LMDZ6/trunk/libf/filtrez/inifgn.F90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/inifgn.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/filtrez/inifgn.F90	(revision 5271)
@@ -6,7 +6,8 @@
   !    ...  H.Upadyaya , O.Sharma  ...
   !
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  include "dimensions.h"
+
   include "paramet.h"
   include "comgeom.h"
Index: /LMDZ6/trunk/libf/filtrez/mod_fft_fftw.F90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/mod_fft_fftw.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/filtrez/mod_fft_fftw.F90	(revision 5271)
@@ -18,5 +18,5 @@
   SUBROUTINE Init_fft(iim,nvectmax)
   IMPLICIT NONE
-#include <fftw3.f>
+INCLUDE <fftw3.f>
     INTEGER :: iim
     INTEGER :: nvectmax
@@ -86,5 +86,5 @@
   SUBROUTINE fft_forward(vect,TF_vect,nb_vect)
     IMPLICIT NONE
-#include <fftw3.f>
+INCLUDE <fftw3.f>
     INTEGER,INTENT(IN)     :: nb_vect
     REAL,INTENT(IN)        :: vect(vsize+inc,nb_vect)
@@ -99,5 +99,5 @@
   SUBROUTINE fft_backward(TF_vect,vect,nb_vect)
     IMPLICIT NONE
-#include <fftw3.f>
+INCLUDE <fftw3.f>
     INTEGER,INTENT(IN)     :: nb_vect
     REAL,INTENT(OUT)       :: vect(vsize+inc,nb_vect)
Index: /LMDZ6/trunk/libf/filtrez/mod_filtre_fft.F90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/mod_filtre_fft.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/filtrez/mod_filtre_fft.F90	(revision 5271)
@@ -14,6 +14,7 @@
   SUBROUTINE Init_filtre_fft(coeffu,modfrstu,jfiltnu,jfiltsu,coeffv,modfrstv,jfiltnv,jfiltsv)
     USE mod_fft
-    IMPLICIT NONE
-    include 'dimensions.h'
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     REAL,   INTENT(IN) :: coeffu(iim,jjm)
     INTEGER,INTENT(IN) :: modfrstu(jjm)
@@ -120,6 +121,7 @@
     USE parallel_lmdz,ONLY : OMP_CHUNK
 #endif
-    IMPLICIT NONE
-    include 'dimensions.h'
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     INTEGER,INTENT(IN) :: nlat
     INTEGER,INTENT(IN) :: jj_begin
@@ -181,6 +183,7 @@
     USE parallel_lmdz,ONLY : OMP_CHUNK
 #endif
-    IMPLICIT NONE
-    INCLUDE 'dimensions.h'
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     INTEGER,INTENT(IN) :: nlat
     INTEGER,INTENT(IN) :: jj_begin
@@ -243,6 +246,7 @@
     USE parallel_lmdz,ONLY : OMP_CHUNK
 #endif
-    IMPLICIT NONE
-    INCLUDE 'dimensions.h'
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     INTEGER,INTENT(IN) :: nlat
     INTEGER,INTENT(IN) :: jj_begin
Index: /LMDZ6/trunk/libf/filtrez/mod_filtre_fft_loc.F90
===================================================================
--- /LMDZ6/trunk/libf/filtrez/mod_filtre_fft_loc.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/filtrez/mod_filtre_fft_loc.F90	(revision 5271)
@@ -10,6 +10,7 @@
   SUBROUTINE Init_filtre_fft(coeffu,modfrstu,jfiltnu,jfiltsu,coeffv,modfrstv,jfiltnv,jfiltsv)
     USE mod_fft
-    IMPLICIT NONE
-    include 'dimensions.h'
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     REAL,   INTENT(IN) :: coeffu(iim,jjm)
     INTEGER,INTENT(IN) :: modfrstu(jjm)
@@ -109,6 +110,7 @@
     USE parallel_lmdz,ONLY : OMP_CHUNK
 #endif
-    IMPLICIT NONE
-    include 'dimensions.h'
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     INTEGER,INTENT(IN) :: jjb
     INTEGER,INTENT(IN) :: jje
@@ -189,6 +191,7 @@
     USE parallel_lmdz,ONLY : OMP_CHUNK
 #endif
-    IMPLICIT NONE
-    INCLUDE 'dimensions.h'
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     INTEGER,INTENT(IN) :: jjb
     INTEGER,INTENT(IN) :: jje
@@ -252,6 +255,7 @@
     USE parallel_lmdz,ONLY : OMP_CHUNK
 #endif
-    IMPLICIT NONE
-    INCLUDE 'dimensions.h'
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     INTEGER,INTENT(IN) :: jjb
     INTEGER,INTENT(IN) :: jje
Index: /LMDZ6/trunk/libf/misc/lmdz_reprobus_wrappers.F90
===================================================================
--- /LMDZ6/trunk/libf/misc/lmdz_reprobus_wrappers.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/misc/lmdz_reprobus_wrappers.F90	(revision 5271)
@@ -6,7 +6,7 @@
   USE CHEM_REP, ONLY: init_chem_rep_trac, itroprep
 #else
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 
   ! TODO ugly temp solution until we properly wrap the REPROBUS code
-  INCLUDE "dimensions.h"
   INTEGER :: itroprep(iim), iter, ndimozon
   REAL :: rsuntime(2), pdt_rep, daynum, solaireTIME, ptrop(iim), ttrop(iim), ztrop(iim), gravit, Z1, &
Index: /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/aeropt_spl.f90	(revision 5271)
@@ -10,8 +10,9 @@
   USE dimphy
   USE infotrac
-  IMPLICIT none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT none
   !
   INCLUDE "chem.h"
-  INCLUDE "dimensions.h"
+
   !INCLUDE "dimphy.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/bcscav_spl.f90	(revision 5271)
@@ -2,5 +2,6 @@
 
   USE dimphy
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !=====================================================================
   ! Objet : below-cloud scavenging of tracers
@@ -9,5 +10,5 @@
   !=====================================================================
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/bl_for_dms.f90	(revision 5271)
@@ -2,5 +2,6 @@
         ,t,q,tsol,ustar,obklen)
   USE dimphy
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
   !===================================================================
@@ -17,5 +18,5 @@
   !===================================================================
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "YOMCST.h"
   INCLUDE "YOETHF.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav.f90	(revision 5271)
@@ -8,7 +8,8 @@
   USE indice_sol_mod
   USE infotrac
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/blcloud_scav_lsc.f90	(revision 5271)
@@ -8,7 +8,8 @@
   USE indice_sol_mod
   USE infotrac
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/cltrac_spl.f90	(revision 5271)
@@ -3,5 +3,6 @@
 
   USE dimphy
-  IMPLICIT none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT none
   !======================================================================
   ! Auteur(s): O. Boucher (LOA/LMD) date: 19961127
@@ -26,5 +27,5 @@
   ! flux_tr--output-R- flux de tr
   !======================================================================
-  INCLUDE "dimensions.h"
+
   REAL :: dtime
   REAL :: coef(klon,klev)
Index: /LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5271)
@@ -5,7 +5,8 @@
   USE indice_sol_mod
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "YOMCST.h"
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/coarsemission.f90	(revision 5271)
@@ -31,7 +31,8 @@
   USE dustemission_mod,  ONLY : dustemission
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
-  IMPLICIT NONE
-
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
   INCLUDE "chem.h"
   INCLUDE "chem_spla.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/condsurfc.f90	(revision 5271)
@@ -5,10 +5,11 @@
   USE dimphy
   USE netcdf, ONLY: nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite, nf90_get_var
-  IMPLICIT none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT none
   !
   ! Lire les conditions aux limites du modele pour la chimie.
   ! --------------------------------------------------------
   !
-  INCLUDE "dimensions.h"
+
 
   REAL :: lmt_bcff(klon), lmt_bcbb(klon),lmt_bc_penner(klon)
Index: /LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/condsurfc_new.f90	(revision 5271)
@@ -7,10 +7,11 @@
   USE dimphy
   USE netcdf, ONLY: nf90_get_var, nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite
-  IMPLICIT none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT none
   !
   ! Lire les conditions aux limites du modele pour la chimie.
   ! --------------------------------------------------------
   !
-  INCLUDE "dimensions.h"
+
 
   REAL :: lmt_bcff(klon), lmt_bcnff(klon), lmt_bcba(klon)
Index: /LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/condsurfs.f90	(revision 5271)
@@ -6,10 +6,11 @@
    USE netcdf, ONLY: nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, &
           nf90_nowrite, nf90_get_var
-  IMPLICIT none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT none
   !
   ! Lire les conditions aux limites du modele pour la chimie.
   ! --------------------------------------------------------
   !
-  INCLUDE "dimensions.h"
+
   !
   REAL :: lmt_so2h(klon), lmt_so2b(klon), lmt_so2bb(klon)
Index: /LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/condsurfs_new.f90	(revision 5271)
@@ -10,10 +10,11 @@
   USE dimphy
   USE netcdf, ONLY: nf90_get_var, nf90_inq_varid, nf90_close, nf90_noerr, nf90_open, nf90_nowrite
-  IMPLICIT none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT none
   !
   ! Lire les conditions aux limites du modele pour la chimie.
   ! --------------------------------------------------------
   !
-  INCLUDE "dimensions.h"
+
   !
   REAL :: lmt_so2b(klon), lmt_so2h(klon), lmt_so2nff(klon)
Index: /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/deposition.f90	(revision 5271)
@@ -10,7 +10,8 @@
   USE indice_sol_mod
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/finemission.f90	(revision 5271)
@@ -15,7 +15,8 @@
   USE infotrac
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/gastoparticle.f90	(revision 5271)
@@ -8,7 +8,8 @@
    ! USE indice_sol_mod
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "chem_spla.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav.f90	(revision 5271)
@@ -9,7 +9,8 @@
   USE indice_sol_mod
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/incloud_scav_lsc.f90	(revision 5271)
@@ -9,7 +9,8 @@
   USE indice_sol_mod
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/inscav_spl.f90	(revision 5271)
@@ -3,5 +3,6 @@
         his_dh)
   USE dimphy
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !=====================================================================
   ! Objet : depot humide de traceurs
@@ -10,5 +11,5 @@
   !=====================================================================
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/kg_to_cm3.f90	(revision 5271)
@@ -3,7 +3,8 @@
   USE dimphy
   USE infotrac
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "YOMCST.h"
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_orig.f90	(revision 5271)
@@ -13,5 +13,6 @@
   USE iophy
 
-  IMPLICIT NONE 
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 !=====================================================================
 ! Objet : depot humide (lessivage et evaporation) de traceurs
@@ -21,5 +22,5 @@
 !=====================================================================
 
-  include "dimensions.h"
+
   include "chem.h"
   include "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/lsc_scav_spl.f90	(revision 5271)
@@ -14,5 +14,6 @@
 !  USE comgeomphy
   USE iophy
-  IMPLICIT NONE 
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 !=====================================================================
 ! Objet : depot humide (lessivage et evaporation) de traceurs
@@ -23,5 +24,5 @@
 ! SPLA version taken from trunk revision 2041
 
-  include "dimensions.h"
+
   include "chem.h"
   include "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/minmaxqfi2.f90	(revision 5271)
@@ -3,5 +3,5 @@
   USE dimphy
   USE infotrac
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 
    ! character*20 comment
Index: /LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/minmaxsource.f90	(revision 5271)
@@ -3,6 +3,5 @@
   USE dimphy
   USE infotrac
-
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 
    ! character*20 comment
Index: /LMDZ6/trunk/libf/phylmd/Dust/neutral.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/neutral.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/neutral.f90	(revision 5271)
@@ -28,5 +28,5 @@
   !
   USE dimphy
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
   !
     real :: u10_mps(klon),ustar_mps(klon),obklen_m(klon)
Index: /LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/nightingale.f90	(revision 5271)
@@ -5,7 +5,8 @@
   USE dimphy
   USE indice_sol_mod
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "YOMCST.h"
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5271)
@@ -396,5 +396,6 @@
     USE phys_cal_mod, ONLY : mth_len
 
-    IMPLICIT NONE
+    USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
 !   INCLUDE "temps.h"
@@ -403,5 +404,5 @@
     INCLUDE "compbl.h"
     INCLUDE "YOMCST.h"
-    INCLUDE "dimensions.h"
+
     include "iniprint.h"
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/phytracr_spl_mod.F90	(revision 5271)
@@ -807,5 +807,5 @@
       USE phys_cal_mod, only: jD_1jan,year_len, mth_len, days_elapsed, jh_1jan, year_cur, &
                               mth_cur, phys_cal_update
-
+      USE dimensions_mod, ONLY: iim, jjm, llm, ndm
 !
       IMPLICIT none
@@ -823,5 +823,4 @@
 !!   et c'est encore different avec le parser de DC ?
 !======================================================================
-      INCLUDE "dimensions.h"
       INCLUDE "chem.h"
       INCLUDE "chem_spla.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/precuremission.f90	(revision 5271)
@@ -20,7 +20,8 @@
   USE infotrac
    ! USE phytracr_spl_mod, ONLY : nbreg_dust, nbreg_ind, nbreg_bb
-  IMPLICIT NONE
-
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
   INCLUDE "chem.h"
   INCLUDE "chem_spla.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_dust.f90	(revision 5271)
@@ -4,7 +4,8 @@
   USE mod_phys_lmdz_para
   USE netcdf, ONLY: nf90_get_var, nf90_nowrite, nf90_open, nf90_inq_varid
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "paramet.h"
   !
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_newemissions.f90	(revision 5271)
@@ -23,8 +23,9 @@
   USE mod_phys_lmdz_para
 
-  IMPLICIT NONE
-
-
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
+
    ! INCLUDE 'dimphy.h'
   INCLUDE 'paramet.h'
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_surface.f90	(revision 5271)
@@ -11,6 +11,7 @@
        USE iophy
        USE netcdf, ONLY: nf90_inq_varid,nf90_noerr,nf90_get_var,nf90_nowrite,nf90_inq_varid,nf90_open
-       IMPLICIT NONE
-       INCLUDE "dimensions.h"
+       USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
        INCLUDE "paramet.h"
 
Index: /LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/read_vent.f90	(revision 5271)
@@ -5,6 +5,7 @@
   USE netcdf, ONLY: nf90_get_var, nf90_open, nf90_inq_varid, nf90_nowrite
    ! USE write_field_phy
-  IMPLICIT NONE
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
     ! INCLUDE "dimphy.h"
   INCLUDE "paramet.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/seasalt.f90	(revision 5271)
@@ -5,7 +5,8 @@
 
   USE dimphy
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
   !
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "chem_spla.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/sediment_mod.f90	(revision 5271)
@@ -10,7 +10,8 @@
    USE dimphy
    USE infotrac
-  IMPLICIT NONE
-  !
-  INCLUDE "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+  !
+
   INCLUDE "chem.h"
     ! INCLUDE "dimphy.h"
Index: /LMDZ6/trunk/libf/phylmd/Dust/tiedqneg.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/tiedqneg.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/tiedqneg.f90	(revision 5271)
@@ -2,5 +2,6 @@
   !
   USE dimphy
-  IMPLICIT none
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT none
   !======================================================================
   ! Auteur(s): CG (LGGE/CNRS) date: 19950201
@@ -15,5 +16,5 @@
   !======================================================================
   !
-  INCLUDE "dimensions.h"
+
     ! INCLUDE "dimphy.h"
   REAL :: pres_h(klon,klev+1)
Index: /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/Dust/trconvect.f90	(revision 5271)
@@ -8,7 +8,8 @@
   USE indice_sol_mod
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "chem.h"
   INCLUDE "YOMCST.h"
Index: /LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/calcaerosolstrato_rrtm.f90	(revision 5271)
@@ -11,7 +11,8 @@
   USE yomcst_mod_h
 
-  IMPLICIT NONE
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
 
-  INCLUDE "dimensions.h"
+
   INCLUDE "clesphys.h"
   INCLUDE "paramet.h"
Index: /LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/interp_sulf_input.f90	(revision 5271)
@@ -21,7 +21,8 @@
   USE strataer_local_var_mod, ONLY : flag_newclim_file,flag_verbose_strataer
 
-  IMPLICIT NONE
-
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
 
 ! Variable input
Index: /LMDZ6/trunk/libf/phylmd/StratAer/stratH2O_methox.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/StratAer/stratH2O_methox.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/StratAer/stratH2O_methox.f90	(revision 5271)
@@ -22,7 +22,8 @@
   USE strataer_local_var_mod, ONLY : flag_newclim_file
   
-  IMPLICIT NONE
-  
-  include "dimensions.h"
+  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
+IMPLICIT NONE
+
+
   
 ! Input variables
Index: /LMDZ6/trunk/libf/phylmd/acama_gwd_rando_m.f90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/acama_gwd_rando_m.f90	(revision 5270)
+++ /LMDZ6/trunk/libf/phylmd/acama_gwd_rando_m.f90	(revision 5271)
@@ -29,5 +29,5 @@
     include "clesphys.h"
 !  OFFLINE:
-!   include "dimensions.h"
+!   include "dimensions_mod.f90"
 !   include "dimphy.h"
 !END DIFFERENCE
